﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL element variables that are applicable accross the DIS service.</title>

    <let name="DIS25" value="xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName[./pyde.02.05:PersonUnstructuredName.Usage.Code[matches(.,'^(Contact)$','i')]]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    <let name="DIS27" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[./pyde.02.00:ElectronicContact.Telephone.Usage.Code[matches(.,'^(03)$','i')]]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    <let name="DIS42" value="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    <let name="DIS89" value="xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName[./pyde.02.05:PersonUnstructuredName.Usage.Code[matches(.,'^(Contact)$','i')]]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$Int.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    <let name="DIS91" value="xbrli:xbrl/orgname1.02.00:OrganisationNameDetails[./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code='MN']/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    <let name="DIS95" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[./pyde.02.00:ElectronicContact.Telephone.Usage.Code[matches(.,'^(03)$','i')]]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$Int.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
    
</pattern>
