﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable accross all of the ITR services.</title>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0003/ids.0003.lodge.request.02.00.report.xsd']]//xbrli:context[not(@i:nil='true' or @i:nil='1')]" >

        <!--
            Rule ID: VR.ATO.GEN.438000
            
            IF (period.startDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.startDate
               RETURN VALIDATION MESSAGE
            ENDIF
            -->
        <assert id="VR.ATO.GEN.438000" diagnostics="DVR.ATO.GEN.438000"
                test="not(
                    xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    or
                    xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.PTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    or
                    xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    !=
                    $RP.TRT.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                    )"/>


        <!-- 
            Rule ID: VR.ATO.GEN.438001
            
            IF (period.endDate WHERE CONTEXT(ALL)) <> PARENT RETURN:RP:period.endDate
               RETURN VALIDATION MESSAGE
            ENDIF        
        -->
        <assert  id="VR.ATO.GEN.438001" diagnostics="DVR.ATO.GEN.438001"
                 test="not(
                 xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                 !=
                 $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                 or
                 xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                 !=
                 $RP.PTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                 or
                 xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                 !=
                 $RP.TRT.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                 )"/>
    </rule>
    
</pattern>



    