﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation of Process Form for SBR Lodge Web Service</title>

<!-- XML/SOAP namespaces -->
<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="Exslt.ExsltStrings" uri="http://gotdotnet.com/exslt/strings" />
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
<!-- EXSLT and extension namespaces -->
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<ns prefix="xbrldt" uri="http://xbrl.org/2005/xbrldt" />
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
<ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
<!-- XBRL/XLink namespaces -->
<ns prefix="xmime" uri="http://www.w3.org/2005/05/xmlmime" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
<ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
<ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
<ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
<ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="pyde.02.08" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" />
<!-- Core SBR namespaces -->
<ns prefix="bafot.02.02" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.02.data" />
<ns prefix="bafot.02.11" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.11.data" />
<ns prefix="bafot.02.23" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.23.data" />

  <ns prefix="bafpr1.02.12" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.12.data" />
<ns prefix="bafpo1.02.02" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.02.data" />
<!-- Taxonomy namespaces -->
<ns prefix="bafpo1.02.00" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.00.data" />
<ns prefix="bafpo5.02.00" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo5.02.00.data" />
<ns prefix="bafpo6.02.05" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" />
<ns prefix="bafpr1.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" />
<ns prefix="bafpr2.02.12" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.12.data" />
<ns prefix="bafpo6.02.09" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.09.data" />
<ns prefix="bafpo6.02.13" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.13.data" />
<ns prefix="bafpo7.02.11" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.11.data" />
<ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
<ns prefix="rvctc1.02.01" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data" />
<ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
<ns prefix="bafpo1.02.11" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.11.data" />
<ns prefix="bafpo7.02.11" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.11.data" />
<ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
<ns prefix="pyde.02.08" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" />
<ns prefix="pyde.02.09" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.09.data" />
<ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
<ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
<ns prefix="declaration2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" />
<ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
<ns prefix="fininstacc1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module" />
<ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
<ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
<ns prefix="rvctc1.02.10" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.10.data" />
<ns prefix="rvctc4.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data" />
<ns prefix="rvctc4.02.01" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.01.data" />
<ns prefix="rvctc4.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" />
<ns prefix="rvctc4.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" />
<ns prefix="rvctc4.02.05" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.05.data" />
<ns prefix="rvctc4.02.06" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.06.data" />
<ns prefix="rvctc2.02.08" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.08.data" />
<ns prefix="rvctc2.02.09" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.09.data" />
<ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
<ns prefix="rvctc3.02.10" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.10.data" />
<ns prefix="pyde.02.06" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.06.data" />
<ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
<ns prefix="ids.0002.prv" uri="http://sbr.gov.au/rprt/ato/ids/ids.0002.private.02.00.module" />

<ns prefix="ids.0003.prv" uri="http://sbr.gov.au/rprt/ato/ids/ids.0003.private.02.00.module" />
<ns prefix="bafpr1.02.22" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.22.data" />

<ns prefix="ids.0003.lodge.request.02.00" uri="http://sbr.gov.au/rprt/ato/ids/ids.0003.lodge.request.02.00.report" />
<ns prefix="InternallyRecordedDealings.02.00_typedelement" uri="http://sbr.gov.au/dims/InternallyRecordedDealings.02.00.dims" />
<ns prefix="RestructuringEvent.02.00_typedelement" uri="http://sbr.gov.au/dims/RestructuringEvent.02.00.dims" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />


<phase id="Full">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Abstracts" />
<active pattern="Context" />
<active pattern="Mandatories" />
<active pattern="Content" />
</phase>

<phase id="Prerequisites">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Abstracts" />
<active pattern="Context" />
<active pattern="FieldPatterns" />
<active pattern="EnumerationPatterns" />
</phase>

<phase id="Mandatories">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Mandatories" />
</phase>

<phase id="Content">
<active pattern="ContextVariables" />
<active pattern="ElementVariables" />
<active pattern="Content" />
<active pattern="Person" />
<active pattern="Organisation" />
<active pattern="Address" />
<active pattern="FieldPatterns" />
<active pattern="FinancialInstitution" />
<active pattern="Declaration" />
</phase>

<!-- ids specific namespaces -->
<include href="../Common/Abstracts.sch" />
<include href="../Common/ContextVariables.sch" />
<include href="../Common/ElementVariables.sch" />
<include href="../Common/Context.sch" />
<include href="../Common/Content.sch" />
<include href="../Common/Mandatories.sch" />
<include href="../Common/FieldPatterns.sch" />
<include href="../Common/Organisation.sch" />
<include href="../Common/Person.sch" />
<include href="../Common/Address.sch" />
<include href="../Common/FinancialInstitution.sch" />
<include href="../Common/EnumerationPatterns.sch" />
<include href="../Common/Declaration.sch" />
<include href="../Diagnostics.sch" />
</schema>