﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Length Validations</title>


<rule context="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS20] <> NULL AND [LS20] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS20] = LS:RP:rvctc3.02.02:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
        -->

<assert  id="VR.ATO.LS.414049" diagnostics="DVR.ATO.LS.414049" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS21] <> NULL AND [LS21] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS21] = LS:RP:rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
        -->

<assert  id="VR.ATO.LS.414050" diagnostics="DVR.ATO.LS.414050" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS22] <> NULL AND [LS22] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS22] = LS:RP:rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount
        -->

<assert  id="VR.ATO.LS.414051" diagnostics="DVR.ATO.LS.414051" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS80] <> NULL AND [LS80] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS80] = LS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount            
        -->

<assert  id="VR.ATO.LS.414052" diagnostics="DVR.ATO.LS.414052" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS28] <> NULL AND [LS28] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS28] = LS:RP:rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount
        -->

<assert  id="VR.ATO.LS.414053" diagnostics="DVR.ATO.LS.414053" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS29] <> NULL AND [LS29] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS29] = LS:RP:rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount
        -->

<assert  id="VR.ATO.LS.414091" diagnostics="DVR.ATO.LS.414091" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS30] <> NULL AND [LS30] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS30] = LS:RP:rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount
        -->

<assert  id="VR.ATO.LS.414092" diagnostics="DVR.ATO.LS.414092" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS64] <> NULL AND [LS64] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS64] = LS:RP:rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount
        -->

<assert  id="VR.ATO.LS.414066" diagnostics="DVR.ATO.LS.414066" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS44] <> NULL AND [LS44] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS44] = LS:RP:rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount
        -->

<assert  id="VR.ATO.LS.414067" diagnostics="DVR.ATO.LS.414067" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
             IF [LS45] <> NULL AND [LS45] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS45] = LS:RP:rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount
        -->

<assert  id="VR.ATO.LS.414068" diagnostics="DVR.ATO.LS.414068" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS65] <> NULL AND [LS65] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS65] = LS:RP:rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
        -->

<assert  id="VR.ATO.LS.414069" diagnostics="DVR.ATO.LS.414069" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS67] <> NULL AND [LS67] <> MONETARY(S,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS67] = LS:RP:rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount
        -->

<assert  id="VR.ATO.LS.414071" diagnostics="DVR.ATO.LS.414071" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS68] <> NULL AND [LS68] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS68] = LS:RP:rvctc3.02.02:Tax.Losses.Incurred.Amount
        -->

<assert  id="VR.ATO.LS.414072" diagnostics="DVR.ATO.LS.414072" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS69] <> NULL AND [LS69] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS69] = LS:RP:rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
        -->

<assert  id="VR.ATO.LS.414073" diagnostics="DVR.ATO.LS.414073" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS70] <> NULL AND [LS70] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS70] = LS:RP:rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount
        -->

<assert  id="VR.ATO.LS.414074" diagnostics="DVR.ATO.LS.414074" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS71] <> NULL AND [LS71] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS71] = LS:RP:rvctc3.02.02:Tax.Losses.Forgone.Amount
        -->

<assert  id="VR.ATO.LS.414075" diagnostics="DVR.ATO.LS.414075" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS72] <> NULL AND [LS72] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS72] = LS:RP:rvctc3.02.00:Tax.Losses.Total.Amount
        -->

<assert  id="VR.ATO.LS.414076" diagnostics="DVR.ATO.LS.414076" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS73] <> NULL AND [LS73] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS73] = LS:RP:rvctc3.02.02:Tax.Losses.TransferredOut.Amount
        -->

<assert  id="VR.ATO.LS.414077" diagnostics="DVR.ATO.LS.414077" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS74] <> NULL AND [LS74] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS74] = LS:RP:rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

<assert  id="VR.ATO.LS.414078" diagnostics="DVR.ATO.LS.414078" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS5] <> NULL AND [LS5] <> MONETARY(S,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS5] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414007" diagnostics="DVR.ATO.LS.414007" test="@contextRef != $RP.Y0.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS6] <> NULL AND [LS6] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS6] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414018" diagnostics="DVR.ATO.LS.414018" test="@contextRef != $RP.Y0-1.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
             IF [LS7] <> NULL AND [LS7] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS7] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414019" diagnostics="DVR.ATO.LS.414019" test="@contextRef != $RP.Y0-2.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS8] <> NULL AND [LS8] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS8] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414038" diagnostics="DVR.ATO.LS.414038" test="@contextRef != $RP.Y0-3.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS9] <> NULL AND [LS9] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS9] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414039" diagnostics="DVR.ATO.LS.414039" test="@contextRef != $RP.Y0-4.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS49] <> NULL AND [LS49] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS49] = LS:RP.Y0-5P:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414040" diagnostics="DVR.ATO.LS.414040" test="@contextRef != $RP.Y0-5P.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS50] <> NULL AND [LS50] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS50] = LS:RP.ALL:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.LS.414041" diagnostics="DVR.ATO.LS.414041" test="@contextRef != $RP.ALL.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS10] <> NULL AND [LS10] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS10] = LS:RP.Y0:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414042" diagnostics="DVR.ATO.LS.414042" test="@contextRef != $RP.Y0.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS11] <> NULL AND [LS11] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS11] = LS:RP.Y0-1:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414043" diagnostics="DVR.ATO.LS.414043" test="@contextRef != $RP.Y0-1.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS12] <> NULL AND [LS12] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS12] = LS:RP.Y0-2:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414044" diagnostics="DVR.ATO.LS.414044" test="@contextRef != $RP.Y0-2.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS13] <> NULL AND [LS13] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS13] = LS:RP.Y0-3:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414045" diagnostics="DVR.ATO.LS.414045" test="@contextRef != $RP.Y0-3.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS14] <> NULL AND [LS14] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS14] = LS:RP.Y0-4:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414046" diagnostics="DVR.ATO.LS.414046" test="@contextRef != $RP.Y0-4.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS51] <> NULL AND [LS51] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS51] = LS:RP.Y0-5P:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414047" diagnostics="DVR.ATO.LS.414047" test="@contextRef != $RP.Y0-5P.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
<!--
            IF [LS52] <> NULL AND [LS52] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS52] = LS:RP.ALL:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.LS.414048" diagnostics="DVR.ATO.LS.414048" test="@contextRef != $RP.ALL.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.00:Tax.Losses.Utilised.Amount[not(@i:nil='true' or @i:nil='1')]">

<!--
            IF [LS76] <> NULL AND [LS76] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS76] = LS:RP:rvctc3.02.00:Tax.Losses.Utilised.Amount
        -->

<assert  id="VR.ATO.LS.414104" diagnostics="DVR.ATO.LS.414104" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>

<rule context="rvctc3.02.14:Tax.Losses.Uplift.Amount[not(@i:nil='true' or @i:nil='1')]">

<!-- 
            IF [LS79] <> NULL AND [LS79] <> MONETARY(U,11,0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [LS79] = LS:RP:rvctc3.02.14:Tax.Losses.Uplift.Amount
        -->

<assert  id="VR.ATO.LS.414113" diagnostics="DVR.ATO.LS.414113" test="@contextRef != $RP.ContextId or matches(.,'^[0-9]{1,11}$')"></assert>
</rule>
</pattern>