﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation for SBR RDTIS PreLodge Web Service</title>

<!-- XML/SOAP Namespaces -->
<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<!-- XBRL/XLink Namespaces -->
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="xl" uri="http://www.xbrl.org/2003/XLink" />
<ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
<ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<!-- Extension Namespaces -->
<ns prefix="bafpr3.02.08" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data" />
<ns prefix="bafpr3.02.09" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.09.data" />
<ns prefix="gfagc.02.04" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data" />
<ns prefix="gfagc.02.05" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.05.data" />
<ns prefix="gfagc.02.06" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data" />
<ns prefix="gfagg.02.03" uri="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.03.data" />
<ns prefix="lrla.02.12" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.12.data" />
<ns prefix="orgname2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" />
<!-- Core SBR Namespaces -->
<ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
<ns prefix="pyin.02.07" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" />
<!-- Taxonomy namespaces -->
<ns prefix="gfagc.02.07" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.07.data" />
<ns prefix="ConcessionType.02.00" uri="http://sbr.gov.au/dims/ConcessionType.02.00.dims" />
<ns prefix="RprtPyType.02.05" uri="http://sbr.gov.au/dims/RprtPyType.02.05.dims" />
<ns prefix="rdtis.0002.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/rdtis/rdtis.0002.lodge.request.02.00.report" />
<ns prefix="rdtis.0002.prv.02.00" uri="http://sbr.gov.au/rprt/ato/rdtis/rdtis.0002.private.02.00.module" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />


<phase id="Prerequisites">
<active pattern="Variables" />
<active pattern="Abstracts" />
<active pattern="Context" />
<active pattern="FieldPatterns" />
</phase>

<phase id="Mandatories">
<active pattern="Variables" />
<active pattern="Mandatories" />
</phase>

<phase id="Content">
<active pattern="Variables" />
<active pattern="Content" />
<active pattern="Organisation" />
</phase>

<include href="../Common/Content.sch" />
<include href="../Common/Context.sch" />
<!-- Dimension namespaces -->
<include href="../Common/FieldPatterns.sch" />
<include href="../Common/Mandatories.sch" />
<!-- Report namespaces -->
<include href="../Common/Organisation.sch" />
<include href="../Common/Variables.sch" />
<!-- Phasing -->
<include href="../Common/Abstracts.sch" />
<include href="../Diagnostics.sch" />
</schema>