﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.CGNFT.000052
         ELS Ref: V17         
        
        WHERE PARENT RETURN EXISTS
        IF ([cgnft07] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft07] = pyde.02.17:OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator
    -->
    <assert id="VR.ATO.CGNFT.000052" diagnostics="DVR.ATO.CGNFT.000052"
            test="not(
                        not($cgnft06[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000059
         ELS Ref: V17         
        
        WHERE PARENT RETURN EXISTS
        IF ([cgnft07] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft07] = pyde.02.17:OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator
    -->
    <assert id="VR.ATO.CGNFT.000059" diagnostics="DVR.ATO.CGNFT.000059"
            test="not(
                        not($cgnft07[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000090
         ELS Ref: V17         
        
        WHERE PARENT RETURN EXISTS
        IF ([cgnft14] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft14] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date
    -->
    <assert id="VR.ATO.CGNFT.000090" diagnostics="DVR.ATO.CGNFT.000090"
            test="not(
                        not($cgnft14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )" />

  </rule>


</pattern>
