﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        schemaVersion="ISO19757-3"
        queryBinding="xslt2"
        xmlns="http://purl.oclc.org/dsdl/schematron">

    <title>Validation of Process Form for SBR Lodge Web Service</title>

    <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
    <ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
    <ns prefix="Exslt.ExsltStrings" uri="http://gotdotnet.com/exslt/strings" />
    <ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
    <!-- EXSLT and extension namespaces -->
    <ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
    <ns prefix="xbrldt" uri="http://xbrl.org/2005/xbrldt" />
    <ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
    <ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
    <ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
    <ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
    <ns prefix="xmime" uri="http://www.w3.org/2005/05/xmlmime" />
    <ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
    <ns prefix="bafpr1.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" />
    <ns prefix="bafpr2.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data" />
    <ns prefix="bafpo2.02.02" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo2.02.02.data" />
    <ns prefix="crigi.02.02" uri="http://sbr.gov.au/icls/cri/crigi/crigi.02.02.data" />
    <ns prefix="dtyp.02.02" uri="http://sbr.gov.au/fdtn/sbr.02.02.dtyp" />
    <ns prefix="rvctc1.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.02.data" />
    <ns prefix="rvctc2.02.01" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.01.data" />
    <ns prefix="rvctc3.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" />
    <ns prefix="rvctc2.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" />
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns prefix="pyin.02.02" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.02.data" />
    <ns prefix="pyin.02.03" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" />
    <ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
    <ns prefix="pyde.02.08" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" />
    <ns prefix="h03.02.02" uri="http://sbr.gov.au/dims/LiabEstMethod.02.02.dims" />
    <ns prefix="RprtPyType.02.05" uri="http://sbr.gov.au/dims/RprtPyType.02.05.dims" />
    <ns prefix="h05.02.02" uri="http://sbr.gov.au/dims/TaxOblgtn.02.02.dims" />
    <ns prefix="lrla.02.02" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.02.data" />
    <ns prefix="lrla2.02.02" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.02.data" />
    <ns prefix="prsnstrcnm1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname1.02.00.module" />
    <ns prefix="prsnstrcnm2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname2.02.00.module" />
    <ns prefix="prsnstrcnm3.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.00.module" />
    <ns prefix="phone1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" />
    <ns prefix="address1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails1.02.01.module" />
    <ns prefix="address2.02.02" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" />
    <ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
    <ns prefix="prsnunstrcnm1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.00.module" />
    <ns prefix="dis.0002.prv" uri="http://sbr.gov.au/rprt/ato/dis/dis.0002.private.02.01.module" />
    <ns prefix="dis.0002.lodge.req.02.01" uri="http://sbr.gov.au/rprt/ato/dis/dis.0002.lodge.request.02.01.report" />
    <ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
    <ns prefix="declaration2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.00.module" />
    <ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
    <ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
    <ns prefix="rvctc4.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.02.data" />
    <ns prefix="rvctc4.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" />
    <!-- DIS namespaces -->
    <ns prefix="bafpo6.02.05" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" />
    <ns prefix="bafpo7.02.04" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.04.data" />
    <!-- TT2011 updates -->
    <ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
    <ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />

    <phase id="Prerequisites">
        <active pattern="Variables" />
        <active pattern="ElementVariables" />
        <active pattern="Abstracts" />
        <active pattern="DataTypes" />
        <active pattern="Lengths" />
        <active pattern="Context" />
    </phase>

    <phase id="Mandatories">
        <active pattern="Variables" />
        <active pattern="ElementVariables" />
        <active pattern="Mandatories" />
    </phase>
    
    <phase id="Content">
        <active pattern="Variables" />
        <active pattern="Address" />
        <active pattern="ElementVariables" />
        <active pattern="Organisation" />
        <active pattern="Content" />
    </phase>
    
    <!--<phase id="Full">
        <active pattern="Variables" />
        <active pattern="Abstracts" />
        <active pattern="DataTypes" />
        <active pattern="Lengths" />
        <active pattern="Context" />
        <active pattern="Mandatories" />
        <active pattern="StandaloneContent" />
    </phase>-->

    <include href="../Common/Abstracts.sch" />
    <include href="../Common/Address.sch" />
    <include href="../Common/Organisation.sch" />    
    <include href="../Common/Variables.sch" />
    <include href="../Common/ElementVariables.sch" />
    <include href="../Common/Context.sch" />
    <include href="../Common/Content.sch" />
    <include href="../Common/Content.Abstracts.sch" />
    <include href="../Common/Mandatories.sch" />
    <include href="../Common/FieldPatterns.sch" />
    <include href="../Common/DataTypes.sch" />
    <include href="../Common/StandaloneContent.sch" />    
    <include href="../Diagnostics.sch" />
</schema>