﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>


<rule context="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) 
                AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateTAN(.))
                      )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF (pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier <> NULLORBLANK) AND (ACNALGORITHM(pyid.xx.xx:Identifiers.AustralianCompanyNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428021" diagnostics="DVR.ATO.GEN.428021" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateACN(.))
                      )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) AND
            (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428040" diagnostics="DVR.ATO.GEN.428040.FTER" test="not(
                        string-length(normalize-space(.)) != 0 and not(function:ValidateABN(.))
                      )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<!-- 
	          IF (pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier <> NULLORBLANK) AND (ARBNALGORITHM (pyid.xx.xx:Identifiers.AustralianRegisteredBodyNumber.Identifier) = FALSE)
  		          RETURN VALIDATION MESSAGE
	          ENDIF
    -->


<assert  id="VR.ATO.GEN.410105" diagnostics="DVR.ATO.GEN.410105.FTER" test="not(
                            string-length(normalize-space(.)) != 0 and not(function:ValidateACN(.))
                      )"></assert>
</rule>
</pattern>