﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatories Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--
     IF ([RS12] = NULL)
        RETURN VALIDATION MESSAGE
     ENDIF

     [RS12] = RS:RP:pyde.02.21:Party.Type.Code
        -->

    <assert  id="VR.ATO.RS.000004" diagnostics="DVR.ATO.RS.000004" test="pyde.02.21:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

    <!--
      IF ([RS59] = NULL)
         RETURN VALIDATION MESSAGE
      ENDIF

      [RS59] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount
        -->

    <assert  id="VR.ATO.RS.000014" diagnostics="DVR.ATO.RS.000014" test="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>

    <!--
     IF ([RS38] = NULL)
        RETURN VALIDATION MESSAGE
     ENDIF

     [RS38] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.Rental.Amount
        -->

    <assert  id="VR.ATO.RS.000013" diagnostics="DVR.ATO.RS.000013" test="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>
    
    <!--
     IF ([RS25] = NULL) 
       RETURN VALIDATION MESSAGE 
     ENDIF

     [RS25] = RS:RP:bafot.02.00:RealEstateProperty.RentalWeeks.Count
        -->

    <assert id="VR.ATO.RS.000043" diagnostics="DVR.ATO.RS.000043"
            test="bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]">
    </assert>

    <!--
    IF ([RS24] = NULLORBLANK)
      RETURN VALIDATION MESSAGE
    ENDIF

    [RS24] = RS:RP:bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date
        -->

    <assert  id="VR.ATO.RS.000019" diagnostics="DVR.ATO.RS.000019" test="bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>

  </rule>


 

</pattern>